Debian Bug report logs - #597920
hard-float support

version graph

Package: libffi; Maintainer for libffi is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Loïc Minier <loic.minier@linaro.org>

Date: Fri, 24 Sep 2010 09:51:01 UTC

Severity: important

Tags: patch

Found in version 3.0.9-2

Fixed in versions libffi/3.0.10~rc8-1, libffi/3.0.10~rc10-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, markos@debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#597920; Package libffi. (Fri, 24 Sep 2010 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
New Bug report received and forwarded. Copy sent to markos@debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 24 Sep 2010 09:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hard-float support
Date: Fri, 24 Sep 2010 11:49:35 +0200
Package: libffi
Version: 3.0.9-2
Severity: wishlist
Tags: patch

        Hi there

 (I'm not sure whether hard-float support should be filed at wishlist or
 minor priority; Konstantinos, please correct me here!  Also, what's the
 usertag for armhf bugs?)

 libffi doesn't support the ARM EABI hard-float calling conventions;
 this was recently developed by Chung-Lin Tang (Linaro) and sent
 upstream http://sourceware.org/ml/libffi-discuss/2010/msg00153.html but
 is still pending upstream inclusion.

 Note that this patch is only useful if the __ARM_PCS_VFP define is set
 which was included in upstream GCC at
 http://gcc.gnu.org/viewcvs?view=revision&revision=162637 and is also
 present in recent Linaro GCC releases.

 The Debian armhf port uses Linaro GCC 4.4, so it would benefit from
 this patch as that would fix libffi with hard-float ABI.

 Would you mind including this patch in the libffi package until it
 makes it upstream?

    Thanks,
-- 
Loïc Minier




Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Apr 2011 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Tue, 19 Apr 2011 15:03:09 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <loic.minier@linaro.org>:
Bug acknowledged by developer. (Tue, 19 Apr 2011 15:03:09 GMT) Full text and rfc822 format available.

Message #14 received at 597920-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 597920-close@bugs.debian.org
Subject: Bug#597920: fixed in libffi 3.0.10~rc8-1
Date: Tue, 19 Apr 2011 15:02:12 +0000
Source: libffi
Source-Version: 3.0.10~rc8-1

We believe that the bug you reported is fixed in the latest version of
libffi, which is due to be installed in the Debian FTP archive:

lib32ffi-dev_3.0.10~rc8-1_amd64.deb
  to main/libf/libffi/lib32ffi-dev_3.0.10~rc8-1_amd64.deb
lib32ffi6_3.0.10~rc8-1_amd64.deb
  to main/libf/libffi/lib32ffi6_3.0.10~rc8-1_amd64.deb
libffi-dev_3.0.10~rc8-1_amd64.deb
  to main/libf/libffi/libffi-dev_3.0.10~rc8-1_amd64.deb
libffi6-dbg_3.0.10~rc8-1_amd64.deb
  to main/libf/libffi/libffi6-dbg_3.0.10~rc8-1_amd64.deb
libffi6_3.0.10~rc8-1_amd64.deb
  to main/libf/libffi/libffi6_3.0.10~rc8-1_amd64.deb
libffi_3.0.10~rc8-1.diff.gz
  to main/libf/libffi/libffi_3.0.10~rc8-1.diff.gz
libffi_3.0.10~rc8-1.dsc
  to main/libf/libffi/libffi_3.0.10~rc8-1.dsc
libffi_3.0.10~rc8.orig.tar.gz
  to main/libf/libffi/libffi_3.0.10~rc8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated libffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Apr 2011 20:53:34 +0200
Source: libffi
Binary: libffi-dev lib32ffi-dev lib64ffi-dev libn32ffi-dev libffi6 lib32ffi6 lib64ffi6 libn32ffi6 libffi6-dbg
Architecture: source amd64
Version: 3.0.10~rc8-1
Distribution: experimental
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 lib32ffi-dev - Foreign Function Interface library (development files, 32bit)
 lib32ffi6  - Foreign Function Interface library runtime (32bit)
 lib64ffi-dev - Foreign Function Interface library (development files, 64bit)
 lib64ffi6  - Foreign Function Interface library runtime (64bit)
 libffi-dev - Foreign Function Interface library (development files)
 libffi6    - Foreign Function Interface library runtime
 libffi6-dbg - Foreign Function Interface library runtime (debug symbols)
 libn32ffi-dev - Foreign Function Interface library (development files, n32)
 libn32ffi6 - Foreign Function Interface library runtime (n32)
Closes: 597920 622976
Changes: 
 libffi (3.0.10~rc8-1) experimental; urgency=low
 .
   * New upstream version (release candidate 8).
     - Adds VFP hard-float calling convention support. Closes: #597920.
   * Install to the multiarch triplet directories, not the gnu triplet
     directories (Steve Langasek). Closes: #622976.
   * Bump soversion, update symbols files.
   * Update debian/copyright file.
Checksums-Sha1: 
 1690c9459d776b8c56dd5634b2c78addd728263b 1275 libffi_3.0.10~rc8-1.dsc
 1dc449254c4c8bde1f422955e378016ba748d3f2 758053 libffi_3.0.10~rc8.orig.tar.gz
 1b71d4abec8ee051302e90fb9b865e55fc446b9d 8384 libffi_3.0.10~rc8-1.diff.gz
 47cd1ec98500eb4e07220888540450561296dc0b 105992 libffi-dev_3.0.10~rc8-1_amd64.deb
 861a9bddc9065eabdfe5aa6a60c0806cba255776 27842 lib32ffi-dev_3.0.10~rc8-1_amd64.deb
 59da3b8fe05bcb0f30f8a1c32b8b010b8fb92b89 20544 libffi6_3.0.10~rc8-1_amd64.deb
 017c93f38980acecb7c1e792160eb45f25b4a3a2 16684 lib32ffi6_3.0.10~rc8-1_amd64.deb
 b040fd227356f151890da71abdd4abce5aece9f1 62538 libffi6-dbg_3.0.10~rc8-1_amd64.deb
Checksums-Sha256: 
 d4f471701d6d9fbf22bc583f187d8a0b0799f6ffdb7e9f727ccba1c9a40a6267 1275 libffi_3.0.10~rc8-1.dsc
 d629d9b2f34f3daa1432c8011fe49a177d9fc51e7c930d64873a097e33aedb3d 758053 libffi_3.0.10~rc8.orig.tar.gz
 ec8003980fa6a56832c256ca73dfa10f0ced63c774a3758ad2e5c30abc7f6ea4 8384 libffi_3.0.10~rc8-1.diff.gz
 d1fb827b66cdda18c929464694450fd4a3df4ea952f92eb738eb0632f20d0a75 105992 libffi-dev_3.0.10~rc8-1_amd64.deb
 8aef5e88c109ed992d5eb421650a3865bb3ec5482505bf78289693da7812328a 27842 lib32ffi-dev_3.0.10~rc8-1_amd64.deb
 ef84d2cd8289e36fbd6c023a4acc839e2061794f24a0c0e15e512944c8cda60c 20544 libffi6_3.0.10~rc8-1_amd64.deb
 4d74e88c76ef56d9ce6e3c54856d033fbb49f3d41b6e76b039009bcbe104dffd 16684 lib32ffi6_3.0.10~rc8-1_amd64.deb
 3229c45c061f5c8f75dafa2d8d8749b4a9ebe1890ee8c4321faae2ccd7a1e77e 62538 libffi6-dbg_3.0.10~rc8-1_amd64.deb
Files: 
 d96059a910161ffe73431d4ade9d0a0b 1275 libs optional libffi_3.0.10~rc8-1.dsc
 90cebe7dd044835aa777f04194ade5a1 758053 libs optional libffi_3.0.10~rc8.orig.tar.gz
 118c1f194b88a916dfae90639d2fa055 8384 libs optional libffi_3.0.10~rc8-1.diff.gz
 fb661ed8405a9517c243c1e7f50a98a7 105992 libdevel optional libffi-dev_3.0.10~rc8-1_amd64.deb
 2dc8fa54ff5c58305e5c5b39fd5c9ca3 27842 libdevel extra lib32ffi-dev_3.0.10~rc8-1_amd64.deb
 5e5de40d971f50266d61612b0b367d79 20544 libs optional libffi6_3.0.10~rc8-1_amd64.deb
 3a7b510055b4d9482d2e9ad0306c0cc8 16684 libs extra lib32ffi6_3.0.10~rc8-1_amd64.deb
 1e58d6fdf465d1178b9b20517fea0ae1 62538 debug extra libffi6-dbg_3.0.10~rc8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2slIYACgkQStlRaw+TLJyaVACeM0/7GRNzZW/R92cN57G0ZiwP
OwYAnAuSBJefhHjIQWlTEq7EsR60FcVa
=t6dN
-----END PGP SIGNATURE-----





Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Mon, 22 Aug 2011 20:54:03 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <loic.minier@linaro.org>:
Bug acknowledged by developer. (Mon, 22 Aug 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #19 received at 597920-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 597920-close@bugs.debian.org
Subject: Bug#597920: fixed in libffi 3.0.10~rc10-1
Date: Mon, 22 Aug 2011 20:50:22 +0000
Source: libffi
Source-Version: 3.0.10~rc10-1

We believe that the bug you reported is fixed in the latest version of
libffi, which is due to be installed in the Debian FTP archive:

lib32ffi-dev_3.0.10~rc10-1_amd64.deb
  to main/libf/libffi/lib32ffi-dev_3.0.10~rc10-1_amd64.deb
lib32ffi5_3.0.10~rc10-1_amd64.deb
  to main/libf/libffi/lib32ffi5_3.0.10~rc10-1_amd64.deb
libffi-dev_3.0.10~rc10-1_amd64.deb
  to main/libf/libffi/libffi-dev_3.0.10~rc10-1_amd64.deb
libffi5-dbg_3.0.10~rc10-1_amd64.deb
  to main/libf/libffi/libffi5-dbg_3.0.10~rc10-1_amd64.deb
libffi5-udeb_3.0.10~rc10-1_amd64.udeb
  to main/libf/libffi/libffi5-udeb_3.0.10~rc10-1_amd64.udeb
libffi5_3.0.10~rc10-1_amd64.deb
  to main/libf/libffi/libffi5_3.0.10~rc10-1_amd64.deb
libffi_3.0.10~rc10-1.diff.gz
  to main/libf/libffi/libffi_3.0.10~rc10-1.diff.gz
libffi_3.0.10~rc10-1.dsc
  to main/libf/libffi/libffi_3.0.10~rc10-1.dsc
libffi_3.0.10~rc10.orig.tar.gz
  to main/libf/libffi/libffi_3.0.10~rc10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated libffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Aug 2011 21:21:46 +0200
Source: libffi
Binary: libffi-dev lib32ffi-dev lib64ffi-dev libn32ffi-dev libffi5 lib32ffi5 lib64ffi5 libn32ffi5 libffi5-dbg libffi5-udeb
Architecture: source amd64
Version: 3.0.10~rc10-1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 lib32ffi-dev - Foreign Function Interface library (development files, 32bit)
 lib32ffi5  - Foreign Function Interface library runtime (32bit)
 lib64ffi-dev - Foreign Function Interface library (development files, 64bit)
 lib64ffi5  - Foreign Function Interface library runtime (64bit)
 libffi-dev - Foreign Function Interface library (development files)
 libffi5    - Foreign Function Interface library runtime
 libffi5-dbg - Foreign Function Interface library runtime (debug symbols)
 libffi5-udeb - Foreign Function Interface library runtime (udeb)
 libn32ffi-dev - Foreign Function Interface library (development files, n32)
 libn32ffi5 - Foreign Function Interface library runtime (n32)
Closes: 597920
Changes: 
 libffi (3.0.10~rc10-1) unstable; urgency=low
 .
   * New upstream release candidate (still using the same soname).
     - Adds VFP hard-float calling convention support. Closes: #597920.
   * Add variadic support for armhf (David Gilbert). LP: #739305.
   * Update debian/copyright file.
   * Add symbols files for armel and armhf.
Checksums-Sha1: 
 10eb8784bc18cae54c6a1fb7fadc1a6f21a1a825 1299 libffi_3.0.10~rc10-1.dsc
 0570785e0b03f79930eb8eb45a3027d9b5eb3e7d 733889 libffi_3.0.10~rc10.orig.tar.gz
 89483fa3369006e39de26be3db0352484b2e2600 13962 libffi_3.0.10~rc10-1.diff.gz
 914f5cd28a77acd205cc2dfcbf85748b56355cf5 107126 libffi-dev_3.0.10~rc10-1_amd64.deb
 2b57751dd840ea465ff45be2020d9a7d99a8144b 30736 lib32ffi-dev_3.0.10~rc10-1_amd64.deb
 e67693c209b56bcfcddd3db112bbb21172e59b15 20846 libffi5_3.0.10~rc10-1_amd64.deb
 466017cc348be5578d53820da76f70bd1d7e6968 17482 lib32ffi5_3.0.10~rc10-1_amd64.deb
 99fb51b88aeb6d7a91a7d618c5a098d5f77f61f2 96576 libffi5-dbg_3.0.10~rc10-1_amd64.deb
 1b4e954cfdae517078d43fd6bec960084940ff1a 16524 libffi5-udeb_3.0.10~rc10-1_amd64.udeb
Checksums-Sha256: 
 d32f9bd74fd6c31d872b654d2b0e5836c2c4023555f4297b1edad9e1ce1be138 1299 libffi_3.0.10~rc10-1.dsc
 cdb0ac8f28accc343ad325ea720fdfff84c4e6c33300e06923a1d74c963e5cbc 733889 libffi_3.0.10~rc10.orig.tar.gz
 852234f43a5fd275963ae7576b24ea48c431b1b42954c95eb0b5855c6d340389 13962 libffi_3.0.10~rc10-1.diff.gz
 35245209c99bb4c47b979b3c0a27c2bcbdf5a7ce1ab970205378b5ee001fbf44 107126 libffi-dev_3.0.10~rc10-1_amd64.deb
 84b2afa28efc370912517c065173fb81231edd82f564a32a04be0e5666bc9027 30736 lib32ffi-dev_3.0.10~rc10-1_amd64.deb
 acc7c64960d02ad18b83996dcc991ff258ea63d1df8c25908068f0e01b8743b9 20846 libffi5_3.0.10~rc10-1_amd64.deb
 ad4376ced816863529b486516c0a1f19ffc898c23800513b997c97a9f605e9b4 17482 lib32ffi5_3.0.10~rc10-1_amd64.deb
 1d317ea179fde313baf43a3b9380135a6e285d27840fb6321208d1507b396eb7 96576 libffi5-dbg_3.0.10~rc10-1_amd64.deb
 f16c29b8b7109e01244f15edb90d3b595b0c31ed86ddc05855d8acd6f8deab0a 16524 libffi5-udeb_3.0.10~rc10-1_amd64.udeb
Files: 
 bc7a9b7bfbf08d2ac48685cd719bacd7 1299 libs optional libffi_3.0.10~rc10-1.dsc
 679960ab3218ba231dc40380dfc3703a 733889 libs optional libffi_3.0.10~rc10.orig.tar.gz
 39c1777543d74a350d8e2b1dd0c83b51 13962 libs optional libffi_3.0.10~rc10-1.diff.gz
 55ce25304bd490983083bd73282c2522 107126 libdevel optional libffi-dev_3.0.10~rc10-1_amd64.deb
 431c11a92d2fcc53ae62768f9a80296c 30736 libdevel extra lib32ffi-dev_3.0.10~rc10-1_amd64.deb
 04e0bd7f38bb897fca4afe263f9cd9ac 20846 libs optional libffi5_3.0.10~rc10-1_amd64.deb
 457c5b3101fd2bb6c16cee11c7e545b7 17482 libs extra lib32ffi5_3.0.10~rc10-1_amd64.deb
 946230a2051f0daea35926a591708604 96576 debug extra libffi5-dbg_3.0.10~rc10-1_amd64.deb
 f21819b3ba1030f761d4732f7b729397 16524 debian-installer optional libffi5-udeb_3.0.10~rc10-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5SvCAACgkQStlRaw+TLJwq2wCcDQjq55vziLerOQoULAK5hKWc
hX8AniEjurPIu8X2jTwLZRjImskQqDW3
=F+a2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:06:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.